Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class Node

    java.lang.Object
      groovy.util.slurpersupport.Node

All Implemented Interfaces:
  Writable

    public class Node
    extends Object

Represents a node.

Authors:
  John Wilson

Constructor Summary
`Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)` @param parent the parent node

Method Summary
`void` | `addChild(Object child)`
`protected void` | `appendNode(Object newValue, GPathResult result)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)`
`Iterator` | `childNodes()`
`List` | `children()`
`String` | `name()`
`String` | `namespaceURI()`
`protected void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure replacementClosure, GPathResult result)`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Node

    public Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)

  Parameters:
    `parent` - the parent node
    `name` - the name for the node
    `attributes` - the attributes for the node
    `attributeNamespaces` - the namespace mappings for attributes
    `namespaceURI` - the namespace URI if any

Method Detail

### addChild

    public void addChild(Object child)

### appendNode

    protected void appendNode(Object newValue, GPathResult result)

### attributes

    public Map attributes()

### build

    public void build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)

### childNodes

    public Iterator childNodes()

### children

    public List children()

### name

    public String name()

### namespaceURI

    public String namespaceURI()

### replaceBody

    protected void replaceBody(Object newValue)

### replaceNode

    public void replaceNode(Closure replacementClosure, GPathResult result)

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2010 The Codehaus. All rights reserved.